Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.dataLayer.calculations
Class StateList

    java.lang.Object
      pipe.dataLayer.calculations.StateList

    public class StateList

extends java.lang.Object

Constructor Summary
`StateList()`
`StateList(java.io.File rgfile, boolean readTangible)` StateList()

Method Summary
`void` | `add(int[] m)`
`void` | `add(int[] marking, int idInput)`
`boolean` | `compareMarking(int[] mark1, int[] mark2)`
`int[]` | `get(int index)`
`java.lang.String` | `getID(int index)`
`int` | `getIDNum(int index)`
`boolean` | `isEmpty()`
`void` | `output(int i)`
`void` | `print()`
`void` | `print(int[] marking)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateList

    public StateList()

### StateList

    public StateList(java.io.File rgfile,
                     boolean readTangible)
              throws java.io.IOException,
                     StateSpaceTooBigException

  StateList()

  Parameters:
    `rgfile` - A reachability graph file containing a list of tangible states.
  Throws:
    `java.io.IOException`
    `StateSpaceTooBigException`

Method Detail

### add

    public void add(int[] m)

### add

    public void add(int[] marking,
                    int idInput)

### getID

    public java.lang.String getID(int index)

### getIDNum

    public int getIDNum(int index)

### output

    public void output(int i)

### get

    public int[] get(int index)

### size

    public int size()

### compareMarking

    public boolean compareMarking(int[] mark1,
                                  int[] mark2)

### isEmpty

    public boolean isEmpty()

### print

    public void print()

### print

    public void print(int[] marking)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD